---
deprecated: true
search:
  tags:
    - DAM
    - POST
seo:
  description: >-
    Adds multiple folders, images,… Reference for the POST
    /api/v1/{team_slug}/{app_slug}/dam/shareable-links/{link_id}/resources
    endpoint in the Management API.
sidebar:
  label: Add resources to a shareable link
  badge: POST
title: Add resources to a shareable link
type: openapi-operation
---
Adds multiple folders, images, videos, and files to a shareable link in a single batch operation
Deprecated: use PUT /api/v2/&#123;team_slug&#125;/&#123;app_slug&#125;/dam/shareable-links/&#123;link_id&#125;/resources instead.

`POST /api/v1/{team_slug}/{app_slug}/dam/shareable-links/{link_id}/resources`

**Deprecated.**

**Request body** (`application/json`, required)

Resources to add

- `file_ids` (string[])
- `folder_ids` (string[])
- `image_ids` (string[])
- `video_ids` (string[])

Request body example:

```json
{
  "file_ids": [
    "string"
  ],
  "folder_ids": [
    "string"
  ],
  "image_ids": [
    "string"
  ],
  "video_ids": [
    "string"
  ]
}
```

**Responses**

- `200` — Resources added successfully
- `400` — Invalid request
- `401` — Unauthorized access
- `404` — Shareable link not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "description": "string",
    "expires_at": "string",
    "file_ids": [
      "string"
    ],
    "folder_ids": [
      "string"
    ],
    "id": "string",
    "image_ids": [
      "string"
    ],
    "token": "string",
    "updated_at": "string",
    "video_ids": [
      "string"
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
